package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lot;
import com.brilliance.isc.vo.manager.LotVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface LotMapper {

    int insert(Lot record);

    int insertSelective(Lot record);

    int updateByPrimaryKeySelective(Lot record);

    int updateByPrimaryKey(Lot record);

    int deleteByPrimaryKey(Lot record);

    Lot selectByPrimaryKey(Lot record);

    List<Lot> listFuzzyByRecord(LotVo record);

    List<Lot> listByLotNum(Lot record);

}